summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--common.sh3
-rw-r--r--config-parabola-mgmt-resolved.PKGBUILD3
2 files changed, 5 insertions, 1 deletions
diff --git a/common.sh b/common.sh
index 62af7fa..93d19ed 100644
--- a/common.sh
+++ b/common.sh
@@ -20,6 +20,9 @@ add-unit() (
install -d "${1%/*}"
base="$(sed 's/@[^.]*\./@./' <<<"${1##*/}")"
case "$1" in
+ /*)
+ error 'add-unit: path is absolute, not relative to $pkgdir: %s' "$1"
+ exit 1;;
etc/systemd/system/*)
srcs=(
"etc/systemd/system/${1##*/}"
diff --git a/config-parabola-mgmt-resolved.PKGBUILD b/config-parabola-mgmt-resolved.PKGBUILD
index d60b304..68056dd 100644
--- a/config-parabola-mgmt-resolved.PKGBUILD
+++ b/config-parabola-mgmt-resolved.PKGBUILD
@@ -7,13 +7,14 @@ pkgdesc="Parabola server configuration: Use resolved"
conflicts+=(config-parabola-base-openresolv)
# Enable resolved
-add-unit /etc/systemd/system/multi-user.target.wants/systemd-resolved.service
+add-unit etc/systemd/system/multi-user.target.wants/systemd-resolved.service
ln -s /usr/lib/systemd/system/systemd-resolved.service etc/systemd/system/dbus-org.freedesktop.resolve1.service
# Configure DNS to use resolved
#
# 'filesystem' contains a conflicting resolv.conf, so use Holo to
# overwrite it.
+mkdir -p usr/share/holo/files/10-"$pkgname"/etc
ln -s /run/systemd/resolve/stub-resolv.conf usr/share/holo/files/10-"$pkgname"/etc/resolv.conf
postamble